Name: hwdata
Summary: Hardware identification and configuration data
Version: 0.353
Release: 3
License: GPL-2.0-or-later
Source: https://github.com/vcrhonek/hwdata/archive/v%{version}.tar.gz
URL:    https://github.com/vcrhonek/hwdata
BuildArch: noarch

Patch9000:      enhancement-update-Hi1822-info-in-pci-ids.patch
Patch9001:      bugfix-rename-some-pci-name.patch
Patch9002:      enhancement-add-huawei-SP686C-RAID-and-SP186-HBA-info-in-pci-ids.patch
%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids and usb.ids databases.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT libdir=%{_prefix}/lib

%files
%license COPYING
%doc LICENSE
%dir %{_datadir}/%{name}
%{_prefix}/lib/modprobe.d/dist-blacklist.conf
%{_datadir}/%{name}/*

%changelog
* Fri Mar 08 2024 zhangzikang <zhangzikang@kylinos.cn> - 0.353-3
- Add Huawei SP686C RAID and SP186 HBA info in pci.ids

* Wed Aug 03 2022 liukuo <liukuo@kylinos.cn> - 0.353-2
- License compliance rectification

* Tue Nov 30 2021 zhouwenpei <zhouwenpei1@huawei.com> - 0.353-1
- update to 0.353

* Sat Jan 30 2021 xinghe <xinghe1@huawei.com> - 0.343-1
- update to 0.343

* Thu Jul 23 2020 jinzhimin <jinzhimin2@huawei.com> - 0.337-1
- update to 0.337

* Mon Jul 20 2020 shixuantong <shixuantong@huawei.com> -0.336-2
- Type:NA
- ID:NA
- SUG:NA
- DESC:change patch file

* Sat Jun 20 2020 shixuantong <shixuantong@huawei.com> -0.336-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:update to 0.336-1

* Mon Dec 23 2019 wangbin224<wangbin224@huawei.com> - 0.316-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update 1822 PCIe information

* Sat Apr 6 2019 luochunsheng<luochunsheng@huawei.com> - 0.316-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:remove sensitive information

* Mon Jan 28 2019 Enbo Kang<kangenbo@huawei.com> - 0.316-1.h2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:sync patches

* Fri Jan 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.316-1
- Package init
